> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all brokerage fees defined for a firm



## OpenAPI

````yaml /openapi.json get /brokerage-fees
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-fees:
    get:
      tags:
        - brokerage-firms
      summary: Get all brokerage fees defined for a firm
      operationId: BrokerageFeeController_getBrokerFees
      parameters:
        - name: brokerageFirmId
          required: true
          in: query
          description: Brokerage firm id
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBrokerageFeesOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
              examples:
                BROKERAGE_FIRM_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetBrokerageFeesOutput:
      type: object
      properties:
        fees:
          description: Brokerage fees on the brokerage firm
          type: array
          items:
            $ref: '#/components/schemas/BrokerageFeeDto'
      required:
        - fees
    BrokerageFirmNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FIRM_NOT_FOUND
        message:
          type: string
          example: No brokerage firm found for brokerage firm id {brokerageFirmId}
        details:
          $ref: '#/components/schemas/BrokerageFirmNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    BrokerageFeeDto:
      type: object
      properties:
        productId:
          type: string
          description: The productId
        minCommission:
          type: number
          description: Min commission fee percentage
          maximum: 100
          minimum: 0
        maxCommission:
          type: number
          description: Max commission fee percentage
          maximum: 100
          minimum: 0
        defaultCommission:
          type: number
          description: Default commission fee percentage
          maximum: 100
          minimum: 0
        minCommissionLimit:
          type: number
          description: Min commission fee percentage limit
          maximum: 100
          minimum: 0
        maxCommissionLimit:
          type: number
          description: Max commission fee percentage limit
          maximum: 100
          minimum: 0
        minTotalCommission:
          type: number
          description: Min total commission fee percentage
          maximum: 100
          minimum: 0
        maxTotalCommission:
          type: number
          description: Max total commission fee percentage
          maximum: 100
          minimum: 0
        minManagementFee:
          type: number
          description: Min management fee amount in cents
          minimum: 0
        maxManagementFee:
          type: number
          description: Max management fee amount in cents
          minimum: 0
        id:
          type: string
          description: Brokerage fee id
      required:
        - productId
        - id
    BrokerageFirmNotFoundDetailsDto:
      type: object
      properties:
        brokerageFirmId:
          type: string
        source:
          type: string
        policyId:
          type: string
      required:
        - brokerageFirmId

````